/*
   AutoGet Installer - Object Creation Module v0.99.30
   Create AutoGet Objects on Desktop 
   Original Version Daniel Caetano
*/

parse arg installdir1 newsdir white
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
'@echo off'

installdir = installdir1

endchar = substr(installdir,1,1)
if endchar = '"' then installdir2=substr(installdir,2,length(installdir)-2)
installdir=installdir2

endchar = substr(newsdir,1,1)
if endchar = '"' then installdir2=substr(newsdir,2,length(newsdir)-2)

rc = SysCreateObject("WPFolder","AutoGet/2","<WP_DESKTOP>","OBJECTID=<AGFOLDER>","REPLACE");
if white=1 then call SysSetObjectData "<AGFOLDER>", "ICONFILE="installdir"\agfold.ico;BACKGROUND="installdir"\foldwhit.bmp;ICONSHADOWCOLOR=1 1 1;ICONTEXTBACKGROUNDCOLOR=255 255 255;"
else call SysSetObjectData "<AGFOLDER>", "ICONFILE="installdir"\agfold.ico;BACKGROUND="installdir"\foldback.bmp;ICONSHADOWCOLOR=255 255 255;ICONTEXTBACKGROUNDCOLOR=1 1 1;"
rc = SysCreateObject("WPShadow","Finished","<AGFOLDER>","SHADOWID="installdir"\finished","REPLACE")
call SysSetObjectData installdir"\finished", "ICONFILE="installdir"\finished.ico;"
rc = SysCreateObject("WPShadow","Waiting","<AGFOLDER>","SHADOWID="installdir"\waiting","REPLACE")
call SysSetObjectData installdir"\waiting", "ICONFILE="installdir"\waiting.ico;"
rc = SysCreateObject("WPShadow","Running","<AGFOLDER>","SHADOWID="installdir"\running","REPLACE")
call SysSetObjectData installdir"\running", "ICONFILE="installdir"\running.ico;"
rc = SysCreateObject("WPShadow","News","<AGFOLDER>","SHADOWID="installdir2,"REPLACE")
call SysSetObjectData installdir2, "ICONFILE="installdir"\news.ico;"
rc = SysCreateObject("WPProgram","AutoGet/2 HandBook",installdir,"OBJECTID=<AGHANDB>","REPLACE");
call SysSetObjectData "<AGHANDB>","ICONFILE="installdir"\handbook.ico;EXENAME=E.EXE;PARAMETERS="installdir"\autoget.txt;" 
rc = SysCreateObject("WPShadow","AutoGet/2 HandBook","<AGFOLDER>","SHADOWID=<AGHANDB>","REPLACE")
rc = SysCreateObject("WPProgram","AutoGet/2 Register Form",installdir,"OBJECTID=<AGREGIST>","REPLACE");
call SysSetObjectData "<AGREGIST>","ICONFILE="installdir"\handbook.ico;EXENAME=E.EXE;PARAMETERS="installdir"\register.frm;" 
rc = SysCreateObject("WPShadow","AutoGet/2 Register Form","<AGFOLDER>","SHADOWID=<AGREGIST>","REPLACE")
rc = SysCreateObject("WPShadow","AutoGet/2 HomePage","<AGFOLDER>","SHADOWID="installdir"\AutoGet!2 HomePage","REPLACE")
call SysSetObjectData installdir"\AutoGet!2 HomePage", "ICONFILE="installdir"\url.ico;"
rc = SysCreateObject("WPProgram","AutoGet/2",installdir,"OBJECTID=<AUTOGETPRG>","REPLACE")
call SysSetObjectData "<AUTOGETPRG>", "ICONFILE="installdir"\autoget.ico;TITLE=AutoGet/2;EXENAME="installdir"\autoget.exe;STARTUPDIR="installdir";PROGTYPE=WINDOWABLEVIO;MINIMIZED=YES;NOAUTOCLOSE=NO;MINWIN=HIDE;CONCURRENTVIEW=NO;" 
rc = SysCreateObject("WPShadow","AutoGet/2","<AGFOLDER>","SHADOWID=<AUTOGETPRG>","REPLACE")
rc = SysCreateObject("WPShadow","AutoGet/2","<WP_START>","SHADOWID=<AUTOGETPRG>","REPLACE")

rc = SysCreateObject("WPProgram","ReCreate AutoGet/2 Folder",installdir,"OBJECTID=<AGRECREATE>","REPLACE");
call SysSetObjectData "<AGRECREATE>","ICONFILE="installdir"\recreate.ico;EXENAME="installdir"\createic.cmd;PARAMETERS="installdir1" "newsdir" "white";MINWIN=HIDE;MINIMIZED=YES;NOAUTOCLOSE=NO;"
rc = SysCreateObject("WPShadow","ReCreate AutoGet/2 Folder","<AGFOLDER>","SHADOWID=<AGRECREATE>","REPLACE")
